<?php
if (!defined("IN_SOFTWARE")) {
	die("Hacking attempt!");
}
class modules
{
	public function list_installed()
	{
		global $db, $config;
		
		$sql = "SELECT *
				FROM ". T_MODULES;
		$result = $db->sql_query($sql);
		$result = $db->sql_result_array($result);
		$db->sql_free_result();
		$output = array();
		
		foreach ($result as $result)
		{
			$default = ($config->read("site_default")==$result['module_name_clean']) ? 1 : 0;
			$output[] = array(
				"module_id"	=>	$result['module_id'],
				"module_name"	=>	$result['module_name'],
				"module_enabled"	=>	$result['module_enabled'],
				"module_description"	=>	$result['module_description'],
				"module_directory"	=>	$result['module_directory'],
				"module_type"	=>	$result['module_type'],
				"module_name_clean"	=>	$result['module_name_clean'],
				"installable"	=>	$result['installable'],
				"module_default"	=>	$default,
				"update_available"	=>	$this->check_update($result['module_directory'], $result['module_name_clean']),
			);
		}
		$this->installed = $output;
		return $output;
	}
	
	public function check_update($module_directory, $module_name_clean)
	{
		global $root_path, $db;
		
		$sql = "SELECT module_version FROM ". T_MODULES ." WHERE module_name_clean='$module_name_clean'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if (file_exists($root_path."modules/".$module_directory."/install/update_from_".$result['module_version'].".php"))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public function perform_update($module_id)
	{
		global $db, $root_path;
		
		$sql = "SELECT module_directory,
						module_name_clean,
						module_version
				FROM ". T_MODULES ."
				WHERE module_id='$module_id'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		
		if ($this->check_update($result['module_directory'], $result['module_name_clean']))
		{
			include_once($root_path."modules/".$module_directory."/install/update_from_".$result['module_version'].".php");
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public function is_installed($module_name_clean, $module_directory)
	{
		foreach ($this->installed as $result)
		{
			if (($result['module_name_clean']==$module_name_clean) && ($result['module_directory']==$module_directory))
			{
				return true;
			}
		}
		
		return false;
	}
	public function list_available($from)
	{
		global $root_path;
		
		#$from = $root_path."modules/";
		
	    if(! is_dir($from))
        return false;
   
    $files = array();
    if (!@is_array($setups))
    {
    	$setups = array();
    }
    if( $dh = opendir($from))
    {
        while( false !== ($file = readdir($dh)))
        {
            // Skip '.' and '..'
            if( $file == '.' || $file == '..')
                continue;
            $path = $from . '/' . $file;
            if( is_dir($path) ) {
                $setups += $this->list_available($path);
            } else {
               $files[] = $path;
                
                if (preg_match("/description_(.*).php/", $path))
                {
                	include($path);
                	if (!$this->is_installed($setup['module_name_clean'], $setup['module_directory']) && ($setup['installable']==1))
                	{
                		$setups[] = $setup;
                	}
                	#print_r($setups);
                }
            }
        }
        closedir($dh);
    }
    #$data[0] = $files;
    #$data[1] = $setups;
    return $setups;
	}
	
	public function install_with_sql($sql_path, $install_script)
	{
		global $db;
		
		if ($db->sql_import($sql_path))
		{
			if ($this->install($install_script))
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}
	
	public function install($install_script)
	{
		global $db, $root_path;
		
		include($install_script);
		
		if (isset($setup['requires']))
		{
			foreach ($setup['requires'] as $result)
			{
				$this->install($root_path."modules/".$setup['module_directory']."/install/description_".$result.".php");
			}
		}
		$sql = "SELECT COUNT(*) AS total
				FROM ". T_MODULES ."
				WHERE module_name_clean='".$setup['module_name_clean']."'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		
		if ($result['total']>0)
		{
			return false;
		}
		else
		{
			$db->sql_transaction("begin");
			$requires = (isset($setup['requires'])) ? serialize($setup['requires']) : "";
			$sql = "INSERT INTO ". T_MODULES ."
						(module_name, module_directory, module_description, module_type, module_name_clean, requires, installable, module_admin_name, module_version)
					VALUES
						('".$setup['module_name']."', '".$setup['module_directory']."', '".$setup['module_description']."',
						'".$setup['module_type']."', '".$setup['module_name_clean']."', '".$requires."', '".$setup['installable']."',
						'".$setup['module_admin_name']."', '".$setup['module_version']."')";
			$db->sql_query($sql);
			$db->sql_transaction("commit");
			unset($setup);
			return true;
		}
	}
	
	public function admin_navi()
	{
		global $db;
		
		$sql = "SELECT *
				FROM ". T_MODULES ."
				WHERE module_admin_name!=''";
		$result = $db->sql_query($sql);
		$result = $db->sql_result_array($result);
		$data = array();
		foreach ($result as $result)
		{
			$data[] = array(
				"module_admin_name"	=>	$result['module_admin_name'],
				"module_directory"	=>	$result['module_directory'],
				"module_name_clean"	=>	$result['module_name_clean'],
			);
		}
		
		return $data;
	}
	public function uninstall($module_id)
	{
		global $db, $root_path;
		$db->sql_transaction("begin");
		$sql = "SELECT COUNT(*) AS total,
						installable,
						requires,
						module_directory,
						module_name_clean
				FROM ". T_MODULES."
				WHERE module_id='$module_id'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if (($result['total']<=0) or ($result['installable']==0))
		{
			return false;
		}
		else
		{
			$requires = unserialize($result['requires']);
			if ($result['requires']!="")
			{
				foreach ($requires as $requires)
				{
					$sql = "SELECT module_id
							FROM ". T_MODULES ."
							WHERE module_directory='".$result['module_directory']."' AND module_name_clean='".$requires."'";
					$result2 = $db->sql_query($sql);
					$result2 = $db->sql_fetch_array($result2);
					$sql = "DELETE FROM ". T_MODULES ." WHERE module_id='".$result2['module_id']."'";
					$db->sql_query($sql);
					#$sql = "DELETE FROM ". T_NAVIGATION ." WHERE module_id='".$result2['module_id']."'";
					#$db->sql_query($sql);
				}
			}
			if (file_exists($root_path."modules/".$result['module_directory']."/install/uninstall_".$result['module_name_clean'].".php"))
			{
				include_once($root_path."modules/".$result['module_directory']."/install/uninstall_".$result['module_name_clean'].".php");
			}
			if (file_exists($root_path."modules/".$result['module_directory']."/install/uninstall_".$result['module_name_clean'].".sql"))
			{
				$db->sql_import($root_path."modules/".$result['module_directory']."/install/uninstall_".$result['module_name_clean'].".sql");
			}			
			$sql = "DELETE FROM ". T_MODULES ." WHERE module_id='$module_id'";
			$db->sql_query($sql);
			$db->sql_transaction("commit");
			return true;
		}
	}
	
	public function load_page_module($module_name)
	{
		global $db, $template, $root_path, $user;
		
		$sql = "SELECT COUNT(*) AS total,
						module_directory
				FROM ". T_MODULES ."
				WHERE module_type>=".M_TYPE_PAGE." AND module_enabled='1' AND module_name_clean='$module_name'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if ($result['total']==1)
		{
			if (file_exists($root_path."modules/".$result['module_directory']."/".$module_name.".php"))
			{
				return $root_path."modules/".$result['module_directory']."/".$module_name.".php";
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}
	
	public function load_admin_page_module($module_name)
	{
		global $db, $template, $root_path, $user;
		
		$sql = "SELECT COUNT(*) AS total,
						module_directory
				FROM ". T_MODULES ."
				WHERE module_type>=".M_TYPE_PAGE." AND module_name_clean='$module_name'
				AND module_admin_name!=''";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		
		if ($result['total']==1)
		{
			
			if (file_exists($root_path."modules/".$result['module_directory']."/admin/".$module_name.".php"))
			{
				return $root_path."modules/".$result['module_directory']."/admin/".$module_name.".php";
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}
	
	public function toggle($module_id)
	{
		global $db;
		
		$db->sql_transaction("begin");
		$sql = "SELECT COUNT(*) AS total,
						module_enabled
				FROM ". T_MODULES ."
				WHERE module_id='$module_id'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if ($result['total']==1)
		{
			if ($result['module_enabled']==0)
			{
				$toggle = 1;
			}
			else
			{
				$toggle = 0;
			}
			$sql = "UPDATE ". T_MODULES ."
					SET module_enabled='".$toggle."'
					WHERE module_id='$module_id'";
			$db->sql_query($sql);
			$db->sql_transaction("commit");
			return true;
		}
		else
		{
			false;
		}
	}
	
	public function set_default($module_id)
	{
		global $db, $config;
		

		$db->sql_transaction("begin");
		$sql = "SELECT module_name_clean,
						COUNT(*) AS total
				FROM ". T_MODULES ."
				WHERE module_id='$module_id'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if ($result['total']==1)
		{
			$config->write("site_default", $result['module_name_clean']);
			$db->sql_transaction("commit");
		}
		else
		{
			return false;
		}
	}
}
?>