<?php
define("IN_SOFTWARE", true);
session_start();
$root_path = (defined('ROOT_PATH')) ? ROOT_PATH : './';
require_once($root_path."common.php");
require_once($root_path."includes/class/class_navigation.php");
require_once($root_path."includes/class/class_articles.php");
$navigation = new navigation();
$articles = new articles();
$page = (isset($_GET['page'])) ? $_GET['page'] : $config->read('site_default');
if (isset($page))
{
	if (($module = $modules->load_page_module($page)) === false)
	{
		if (isset($_POST['create_article']) && ($_SESSION['user_level']>=MOD_LEVEL))
		{
			$data = array(
				"article_name"	=>	$db->sql_clean($page),
				"article_content" 	=>	$db->sql_clean($_POST['article_content']),
				"article_time"	=>	time(),
				"article_editor"	=>	$_SESSION['user_id'],
				"default"	=>	$db->sql_clean($_POST['default']),
			);
			$articles->create($data);
		}
		if (isset($_POST['edit_article']) && ($_SESSION['user_level']>=MOD_LEVEL))
		{
			$data = array(
				"article_name"	=>	$db->sql_clean($page),
				"article_content" 	=>	$db->sql_clean($_POST['article_content']),
				"article_time"	=>	time(),
				"article_editor"	=>	$_SESSION['user_id'],
				"default"	=>	$db->sql_clean($_POST['default']),
			);
			$articles->edit($data);
		}
		$data = $articles->load($page);
		if (isset($data['no_article']) && ($_SESSION['user_level']<MOD_LEVEL))
		{
			$template->assign("INCLUDE_FILE", "errors/404.html");
		}
		else if (isset($data['no_article']) && ($_SESSION['user_level']>=MOD_LEVEL) )
		{
			$template->assign(array(
				"INCLUDE_FILE"	=>	"articles/create_article.html",
				"D_PAGE"	=>	$page,
			));
		}
		else if (isset($_GET['edit']) && ($_SESSION['user_level']>=MOD_LEVEL))
		{
			$data = $articles->load($page, true);
			$template->assign(array(
				"D_PAGE"	=>	$page,
				"INCLUDE_FILE"	=>	"articles/create_article.html",
				"M_EDIT"	=>	"true",
			));
			$template->assign($data);
		}
		else
		{
			$template->assign($data);
			$template->assign(array(
				"INCLUDE_FILE"	=>	"articles/view_article.html",
				"D_PAGE"	=>	$page,
			));
		}
	}
	else
	{
		require_once($module);
		unset($module);
	}
}
$template->assign(array(
	"TEMPLATE_FOLDER"	=>	$template->template_dir,
	"SITE_LOGO"	=>	$config->read("site_logo"),
	"SITE_SLOGAN"	=>	$config->read("site_slogan"),
	"NAV_L"	=>	$navigation->generate_full_nav(0),
	"NAV_R"	=>	$navigation->generate_full_nav(1),
	"SITE_TITLE"	=>	$config->read("site_title"),
));
$template->display("overall_header.html");

$template->display("site_index.html");
$template->display("overall_footer.html");
?>